> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verifications.connection_removed webhook

> Sent when a payroll account or banking institution associated with a completed or cancelled verification is disconnected.

This webhook is not sent if a user disconnects a payroll account while there is an active payroll verification, or disconnects a banking institution while there is an active banking verification.


## OpenAPI

````yaml openAPI/verifications-partners-webhooks-connection-removed.yaml post /partners/v2/webhooks
openapi: 3.0.0
info:
  title: Partners Verifications Webhooks API
  version: '2.0'
  description: >
    API for managing partner Verifications Webhooks.

    Sent when a payroll account or banking institution associated with a
    completed or cancelled verification is disconnected.
servers:
  - url: https://api-sandbox.argyle.com
    description: Sandbox
  - url: https://api.argyle.com
    description: Production
security:
  - basicAuth: []
paths:
  /partners/v2/webhooks:
    post:
      tags:
        - Webhooks
      summary: Example subscription
      description: >
        Creates a subscription to the `verifications.connection_removed`
        webhook.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PartnerWebhookSubscriptionRequest'
            example:
              events:
                - verifications.connection_removed
              name: name-for-the-webhook-subscription
              url: https://your-webhook-backend.com
              secret: optional-secret
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PartnerVerificationConnectionRemovedWebhookMessage
              examples:
                verifications_connection_removed:
                  summary: Example Webhook Delivery
                  value:
                    event: verifications.connection_removed
                    name: name-for-the-webhook-subscription
                    data:
                      user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
                      verification: 015555aa-f7a9-a0db-2f38-6cfa325e9d55
                      client: 39096494-45c8-4fd8-9454-3d1cb2d62db7
                      connection:
                        id: 0187c66e-e7e5-811c-b006-2232f00f426a
                        data_source: payroll
                        disconnected_at: '2023-04-10T09:15:00Z'
components:
  schemas:
    PartnerWebhookSubscriptionRequest:
      type: object
      properties:
        events:
          type: array
          description: |
            `verifications.connection_removed`
          items:
            type: string
            enum:
              - verifications.connection_removed
            example: verifications.connection_removed
        name:
          type: string
          example: name-for-the-webhook-subscription
          description: Your name for the webhook subscription.
        url:
          type: string
          example: https://your-webhook-backend.com
          description: >-
            Where you want to receive webhook delivery. Argyle handles URL
            encoding for webhook URLs. Send the URL in its normal, unencoded
            form.
        secret:
          type: string
          example: optional-secret
          description: Optional secret used to verify webhooks.
      required:
        - events
        - name
        - url
    PartnerVerificationConnectionRemovedWebhookMessage:
      type: object
      properties:
        event:
          type: string
          description: |
            `verifications.connection_removed`
          example: verifications.connection_removed
        name:
          type: string
          description: Name used for the webhook subscription.
          example: name-for-the-webhook-subscription
        data:
          type: object
          properties:
            user:
              type: string
              format: uuid
              description: ID of the user.
              example: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
            verification:
              type: string
              format: uuid
              description: ID of the verification associated with the removed connection.
              example: 015555aa-f7a9-a0db-2f38-6cfa325e9d55
            client:
              type: string
              format: uuid
              description: ID of the client.
              example: 39096494-45c8-4fd8-9454-3d1cb2d62db7
            connection:
              $ref: '#/components/schemas/RemovedVerificationConnection'
      example:
        event: verifications.connection_removed
        name: name-for-the-webhook-subscription
        data:
          user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
          verification: 015555aa-f7a9-a0db-2f38-6cfa325e9d55
          client: 39096494-45c8-4fd8-9454-3d1cb2d62db7
          connection:
            id: 0187c66e-e7e5-811c-b006-2232f00f426a
            data_source: payroll
            disconnected_at: '2023-04-10T09:15:00Z'
    RemovedVerificationConnection:
      type: object
      properties:
        id:
          type: string
          description: >-
            ID of the deleted payroll account or disconnected banking
            institution.
          example: 0187c66e-e7e5-811c-b006-2232f00f426a
        data_source:
          type: string
          enum:
            - payroll
            - banking
          description: Data source of the removed connection.
          example: payroll
        disconnected_at:
          type: string
          format: date-time
          nullable: true
          description: >-
            Time when the payroll account was deleted or the banking institution
            was disconnected.
          example: '2023-04-10T09:15:00Z'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````